Subject: Re: bug#15525: 24.3; register-read-with-preview

From: Stefan Monnier <[email-masked]>
Date: Sat, 05 Oct 2013 12:30:10 -0400

> Good idea. The attached patch implements this. i.e. if one sets
> register-preview-delay to t it means forever,

Good (I'd have used nil rather than t, but it doesn't matter).

I wonder if the default shouldn't be "infinite delay", so as to preserve
existing behavior?

> Users can customise register-read-help-char to nil if they don't want
> any help-char to bring up the preview window.

I think the only valid reason to disable the help-char here is if it
prevents access to an existing register.  So we can get rid of this
custom var and instead make sure we only obey help-char if there is no
existing register by that name.

        Stefan